"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useContainer = exports.UTILITY_TOKENS = exports.TOKENS = exports.STACK_TOKENS = exports.SERVICE_TOKENS = exports.SCREEN_TOKENS = exports.PROOF_TOKENS = exports.OBJECT_TOKENS = exports.LOAD_STATE_TOKENS = exports.FN_TOKENS = exports.ContainerProvider = exports.ContainerContext = exports.COMP_TOKENS = void 0;
var _react = require("react");
const PROOF_TOKENS = {
  GROUP_BY_REFERENT: 'proof.groupByReferant',
  CRED_HELP_ACTION_OVERRIDES: 'proof.credHelpActionOverride'
};
exports.PROOF_TOKENS = PROOF_TOKENS;
const SCREEN_TOKENS = {
  SCREEN_PREFACE: 'screen.preface',
  SCREEN_TERMS: 'screen.terms',
  SCREEN_ONBOARDING: 'screen.onboarding',
  SCREEN_DEVELOPER: 'screen.developer',
  SCREEN_ONBOARDING_ITEM: 'screen.onboarding.item'
};
exports.SCREEN_TOKENS = SCREEN_TOKENS;
const STACK_TOKENS = {
  STACK_ONBOARDING: 'stack.onboarding'
};
exports.STACK_TOKENS = STACK_TOKENS;
const FN_TOKENS = {
  FN_ONBOARDING_DONE: 'fn.onboardingDone'
};
exports.FN_TOKENS = FN_TOKENS;
const COMP_TOKENS = {
  COMP_BUTTON: 'comp.button'
};
exports.COMP_TOKENS = COMP_TOKENS;
const SERVICE_TOKENS = {
  SERVICE_TERMS: 'screen.terms'
};
exports.SERVICE_TOKENS = SERVICE_TOKENS;
const LOAD_STATE_TOKENS = {
  LOAD_STATE: 'state.load'
};
exports.LOAD_STATE_TOKENS = LOAD_STATE_TOKENS;
const OBJECT_TOKENS = {
  OBJECT_ONBOARDING_CONFIG: 'object.onboarding-config'
};
exports.OBJECT_TOKENS = OBJECT_TOKENS;
const UTILITY_TOKENS = {
  UTIL_LOGGER: 'utility.logger',
  UTIL_OCA_RESOLVER: 'utility.oca-resolver',
  UTIL_LEDGERS: 'utility.ledgers',
  UTIL_PROOF_TEMPLATE: 'utility.proof-template'
};
exports.UTILITY_TOKENS = UTILITY_TOKENS;
const TOKENS = {
  ...PROOF_TOKENS,
  ...SCREEN_TOKENS,
  ...SERVICE_TOKENS,
  ...STACK_TOKENS,
  ...FN_TOKENS,
  ...COMP_TOKENS,
  ...LOAD_STATE_TOKENS,
  ...OBJECT_TOKENS,
  ...UTILITY_TOKENS
};
exports.TOKENS = TOKENS;
const ContainerContext = /*#__PURE__*/(0, _react.createContext)(undefined);
exports.ContainerContext = ContainerContext;
const ContainerProvider = ContainerContext.Provider;

// eslint-disable-next-line @typescript-eslint/no-non-null-assertion
exports.ContainerProvider = ContainerProvider;
const useContainer = () => (0, _react.useContext)(ContainerContext);
exports.useContainer = useContainer;
//# sourceMappingURL=container-api.js.map